// function loadNavbar(targetElementId) {
//     fetch('navbar.html')
//         .then(response => response.text())
//         .then(data => {
//             // add the bar
//             document.getElementById(targetElementId).innerHTML = data;
//         })
//         .catch(error => {
//             console.error('loadNav errors:', error);
//         });
// }

// Load the navigation bar dynamically
function loadNavbar(targetElementId) {
    fetch('navbar.html')
        .then(response => response.text())
        .then(data => {
            // Add the navbar content to the target element
            document.getElementById(targetElementId).innerHTML = data;

            // After the navbar is loaded, check and update user authentication state
            updateAuthButtons();
        })
        .catch(error => {
            console.error('loadNav errors:', error);
        });
}

// Update authentication buttons based on user login state
function updateAuthButtons() {
    fetch('/users/current', { method: 'GET' })
        .then(response => {
            if (!response.ok) {
                throw new Error('User not logged in');
            }
            return response.json();
        })
        .then(data => {
            // If logged in, update Login button to display username
            const authBtn = document.getElementById('auth-btn');
            authBtn.textContent = data.username;
            authBtn.href = '#'; // Disable navigation for username display
            authBtn.classList.remove('login-btn');
            authBtn.classList.add('username-btn');

            // Show the Logout button
            document.getElementById('logout-btn').style.display = 'block';
        })
        .catch(() => {
            // If not logged in, reset the buttons to default state
            const authBtn = document.getElementById('auth-btn');
            authBtn.textContent = 'Login';
            authBtn.href = '/html/login.html'; // Link back to the login page
            authBtn.classList.add('login-btn');
            authBtn.classList.remove('username-btn');

            // Hide the Logout button
            document.getElementById('logout-btn').style.display = 'none';
        });
}
